package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtovtaEmpresaBloqueadaDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresaBloqueada;
import com.rjconsultores.ventaboletos.service.PtovtaEmpresaBloqueadaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("ptovtaEmpresaBloqueadaService")
public class PtovtaEmpresaBloqueadaServiceImpl implements PtovtaEmpresaBloqueadaService {

	@Autowired
	private PtovtaEmpresaBloqueadaDAO ptovtaEmpresaBloqueadaServiceDAO;
	
	@Override
	public List<PtovtaEmpresaBloqueada> obtenerTodos() {
		return ptovtaEmpresaBloqueadaServiceDAO.obtenerTodos();
	}

	@Override
	public PtovtaEmpresaBloqueada obtenerID(Integer id) {
		return ptovtaEmpresaBloqueadaServiceDAO.obtenerID(id);
	}

	@Override
	@Transactional(readOnly=false)
	public PtovtaEmpresaBloqueada suscribir(PtovtaEmpresaBloqueada entidad) {
		return ptovtaEmpresaBloqueadaServiceDAO.suscribir(entidad);
	}

	@Override
	@Transactional(readOnly=false)
	public PtovtaEmpresaBloqueada actualizacion(PtovtaEmpresaBloqueada entidad) {
		return ptovtaEmpresaBloqueadaServiceDAO.actualizacion(entidad);
	}

	@Override
	@Transactional(readOnly=false)
	public void borrar(PtovtaEmpresaBloqueada entidad) {
		entidad.setActivo(Boolean.FALSE);
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		ptovtaEmpresaBloqueadaServiceDAO.actualizacion(entidad);		
	}

}
